Submit the health information data request acknowledgement from HIP
Acknowledge the Health information request receipt. Either the hiRequest or error must be specified.
hiRequest element returns the same transaction ID as before with a status indicating that the request is acknowledged. The access token from POST /api/hiecm/gateway/v3/sessions, sent with a Unique UUID for track the end to end request transaction Actual time of the request was initiated, ISO 8601 represents date and time by starting with the year, followed by the month, the day, the hour, the minutes, seconds and milliseconds Suffix of the consent manager to which the request was intended The UUID generated when the health information request was initiated.Allows alpha numeric character and special characters like "^[a-zA-Z0-9_\\-@,. \":/]{0,255}$" The status of the health information request that was initiated.Allows alpha numeric character and special characters like "^[a-zA-Z0-9_\\-@,. \":/]{0,255}$" The request id from the /hip/health-information/request callback. Allows alpha numeric character and special characters like "^[0-9a-fA-F]{8}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{12}" The requestId that was passed Bad Request ABDM-1031 - Invalid request. May be returned either bare ( Unauthorized 900901 - Invalid Credentials. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator. Internal Server Error 900900 - Unclassified Authentication Failure. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator. Service Unavailable ABDM-1024 - Dependent service unavailable. May be returned either bare (Authorizations
Authorizationbearer tokenRequiredBearer prefix.Headers
REQUEST-IDstringRequiredTIMESTAMPstringRequiredX-CM-IDstringRequiredBody
hiRequestobjectRequiredhiRequest.transactionIdstringRequiredhiRequest.sessionStatusstringRequiredresponseobjectRequiredresponse.requestIdstringRequiredResponses
400codestringRequiredABDM-1031) or with a trailing ": " separator (ABDM-1031: ); match on the code itself and tolerate the separator.messagestringRequired401codestringRequiredmessagestringRequireddescriptionstringRequired500codestringmessagestringdescriptionstring503codestringRequiredABDM-1024) or with a trailing ": " separator (ABDM-1024: ); match on the code itself and tolerate the separator.messagestringRequired
Callbacks
- You make this call in reply to Health information data request to HIP., which ABDM posts to
/api/v3/hip/health-information/request. Open the callback.